---
title: Discover App Extensions
desc: Look up official and community Quasar App Extensions.
---

<q-btn icon-right="search" label="Look up extensions" href="https://www.npmjs.com/search?q=quasar-app-extension" target="_blank" rel="noopener noreferrer" />

## Community App Extensions

Review submitted [Community App Extensions](https://github.com/quasarframework/quasar-awesome/blob/master/README.md#community-app-extensions).

> And please don't forget to submit your own! Learn what Quasar [App Extensions](/app-extensions/introduction) are and how to [create one](/app-extensions/development-guide/introduction).


## Official App Extensions
Below is a list of official app-extensions created by members of the Quasar team.

### Tooling

| Alias | Description |
| --- | --- |
| [@quasar/testing AEs](https://github.com/quasarframework/quasar-testing) | Includes pre-configured sub-extensions for all of your testing needs |
| [@quasar/apollo](https://github.com/quasarframework/app-extension-apollo/tree/v2) | Includes pre-configured Apollo integration |

### Components

| Alias | Description |
| --- | --- |
| [@quasar/qmediaplayer](https://github.com/quasarframework/app-extension-qmediaplayer) | HTML5 video and audio player |
| [@quasar/qflashcard](https://github.com/quasarframework/app-extension-qflashcard) | Show some information and reveal more with CSS Transition Mashups |
| [@quasar/qoverlay](https://github.com/quasarframework/app-extension-qoverlay) | Overlays simplified. Add any component on top of the overlay |
| [@quasar/qactivity](https://github.com/quasarframework/app-extension-qactivity) | Create activity timelines |
| [@quasar/qmarkdown](https://github.com/quasarframework/quasar-ui-qmarkdown/tree/next) | Markdown for your pages |
| [@quasar/qpdfviewer](https://github.com/quasarframework/app-extension-qpdfviewer/tree/next) | View PDF documents in your Quasar app |
| [@quasar/qcalendar](https://github.com/quasarframework/quasar-ui-qcalendar) | Calendar for Quasar |
| [@quasar/qscroller](https://github.com/quasarframework/app-extension-qscroller) | Many scrolling components, including QScroller, QTimeScroller, QDateScroller, QDateTimeScroller and scrolling time ranges |
| [@quasar/qwindow](https://github.com/quasarframework/app-extension-qwindow) | Floating, movable, resizable interactive windows for Quasar |
| [@quasar/qiconpicker](https://github.com/quasarframework/quasar-ui-qiconpicker) | Icon Picker for your Quasar apps |
