---
title: Skeleton
desc: The QSkeleton Vue component is used to display a placeholder preview of your content before you load the actual page data.
keys: QSkeleton
examples: QSkeleton
related:
  - /vue-components/circular-progress
  - /vue-components/inner-loading
  - /vue-components/spinners
  - /quasar-plugins/loading
  - /quasar-plugins/loading-bar
---

The QSkeleton is a component for displaying a placeholder preview of your content before you load the actual page data. It's a nice way of informing the user of what to expect from the page before it is fully loaded and increases the perceived performance. It can be used to incrementally display information on screen as data is being fetched.

<DocApi file="QSkeleton" />

## Usage

<DocExample title="On a QCard" file="Card" />

### Predefined types

Below you can see the predefined types. There are some basic types (text, rect, circle) and also some special convenience types that accurately respect Quasar components size and border radius.

<DocExample title="QSkeleton types" file="Types" />

### Animations

<DocExample title="Animations" file="Animations" />

### Sizing

<DocExample title="Sizing" file="Sizing" />

### Styling

<DocExample title="Bordered" file="StylingBordered" />

<DocExample title="Square borders" file="StylingSquare" />

<DocExample title="Custom color" file="StylingColor" />

<DocExample title="Custom border" file="StylingCustomBorder" />

### Recipes

Enjoy some pre-made recipes. Your imagination is the only limit.

<DocExample title="Youtube" file="RecipeYoutube" />

<DocExample title="Facebook" file="RecipeFacebook" />

<DocExample title="Twitter" file="RecipeTwitter" />

<DocExample title="Twitch" file="RecipeTwitch" />

<DocExample title="Table" file="RecipeTable" />

<DocExample title="List" file="RecipeList" />
