---
title: Spinners
desc: The QSpinner and its derived Vue components are used to show the user a timely process is currently taking place. It gives the user the feeling the system is continuing to work for longer term activities.
keys: QSpinner,QSpinnerAudio,QSpinnerBall,QSpinnerBars,QSpinnerBox,QSpinnerClock,QSpinnerComment,QSpinnerCube,QSpinnerDots,QSpinnerFacebook,QSpinnerGears,QSpinnerGrid,QSpinnerHearts,QSpinnerHourglass,QSpinnerInfinity,QSpinnerIos,QSpinnerOrbit,QSpinnerOval,QSpinnerPie,QSpinnerPuff,QSpinnerRadio,QSpinnerRings,QSpinnerTail
examples: QSpinner
related:
  - /vue-components/linear-progress
  - /vue-components/circular-progress
  - /vue-components/skeleton
  - /vue-components/inner-loading
  - /quasar-plugins/loading
  - /quasar-plugins/loading-bar
---

A Spinner is used to show the user a timely process is currently taking place. It is an important UX feature, which gives the user the feeling the system is continuing to work for longer term activities, like grabbing data from the server or some heavy calculations.

<DocApi file="QSpinner" />

::: tip
The API below applies to all spinners, except for QSpinner. Making an example with QSpinnerCube.
:::

<DocApi file="QSpinnerCube" title="Other Spinners API" />

## Usage

<DocExample title="QSpinner" file="Default" />

In the example below, hover over the spinners to see their names.

<DocExample title="Other spinners" file="Others" />

<DocExample title="Coloring" file="Color" />

Please note that by default, QSpinner and all other spinners inherit the font-size of the parent and applies it as its size.

<DocExample title="Size" file="Size" />

<DocExample title="Standard sizes" file="StandardSizes" />
