---
title: Toolbar
desc: The QToolbar and QToolbarTitle Vue components are usually part of QHeader or QFooter, but it can be used anywhere on the page.
keys: QToolbar,QToolbarTitle
examples: QToolbar
related:
  - /layout/header-and-footer
  - /vue-components/icon
  - /vue-components/avatar
  - /vue-components/breadcrumbs
  - /vue-components/separator
---

QToolbar is a component usually part of Layout Header and Footer, but it can be used anywhere on the page.

<DocApi file="QToolbar" />

<DocApi file="QToolbarTitle" />

## Usage

<DocExample title="Basic" file="Basic" />

<DocExample title="With Avatar" file="Avatar" />

You can use the `glossy` class to make the toolbar glossy.

<DocExample title="Glossy" file="Glossy" />

<DocExample title="Grouped vertically" file="GroupedVertically" />

<DocExample title="Grouped horizontally" file="GroupedHorizontally" />

<DocExample title="With Tabs" file="WithTabs" />

<DocExample title="With Button Dropdown" file="WithDropdown" />

<DocExample title="With Button Toggle" file="WithBtnToggle" />
